Package: groovy.org.codenarc.rule.jdbc

## [Groovy] Class DirectConnectionManagementRule

- groovy.org.codenarc.rule.jdbc.DirectConnectionManagementRule

- The J2EE standard requires that applications use the container's resource management facilities to obtain connections to resources. Every major web application container provides pooled database connection management as part of its resource management framework. Duplicating this functionality in an application is difficult and error prone, which is part of the reason it is forbidden under the J2EE standard.

  Authors:
    'Hamlet D'Arcy'

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `Class` | `astVisitorClass`
    `String` | `name`
    `int` | `priority`

- - ### Property Detail

    - #### Class astVisitorClass

    - #### String name

    - #### int priority